Bug 1249016 - Turned on Cups Lock produces mix of lower and upper cases in terminal (ttyX)
Turned on Cups Lock produces mix of lower and upper cases in terminal (ttyX)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 06:47 EDT by Petr Schindler
Modified: 2016-07-19 13:17 EDT (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:17:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of journalctl -f (4.53 KB, text/plain)
2015-07-31 06:58 EDT, Petr Schindler
no flags Details

  None (edit)
Description Petr Schindler 2015-07-31 06:47:17 EDT
Description of problem:
When I switch to virtual terminal on running virtual machine and turn on Cups Lock I got mix of lower and upper cases when I write.

I have seen it on installed Fedora 22 and installed Fedora 23. I couldn't reproduce this on installation media (F23 tc2 netinst).

The switch between lower and upper cases seems to be regular. It always write few lower cases then few upper and then again few lower and so on.

Version-Release number of selected component (if applicable):
libvirt-1.2.13.1-2.fc22.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Run virtual machine with installed Fedora 23 TC2
2. Switch to tty3
3. log in. Turn Caps Lock on. Write

Actual results:
Output is periodically write in lower and then on upper cases. Something like: asdfadfASDFASDFadfasdfasdFASDFASDFASDFadsfasdfad

Expected results:
Caps Lock should produce just upper case characters.

Additional info:
Comment 1 Petr Schindler 2015-07-31 06:58:40 EDT
Created attachment 1058031 [details]
output of journalctl -f

I'm not sure if it is somehow correlated. But this output is what I get when I switch to tty3 (where this bug then occures).
Comment 2 Peter Krempa 2015-07-31 07:08:11 EDT
I've managed to reproduce that using Fedora 22. In the "physical" terminal shows the behavior described above. As said in the description, I was not able to reproduce this in other distros or in X enviroment, so this most probably isn't a bug in the virt subsystem.

Reassigning to systemd since the logind service initializes the tty.
Comment 3 Lennart Poettering 2016-02-10 09:38:06 EST
We are not involved with handling key presses on ttys, that's a kernel thing. REassigning.
Comment 4 Fedora End Of Life 2016-07-19 13:17:37 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.